require 'rspec-system/spec_helper'
require 'rspec-system-puppet/helpers'
require 'rspec-system-serverspec/helpers'

include RSpecSystemPuppet::Helpers

RSpec.configure do |c|
  # Project root
  proj_root = File.expand_path(File.join(File.dirname(__FILE__), '..'))

  # Enable colour
  c.tty = true

  c.include RSpecSystemPuppet::Helpers

  # This is where we 'setup' the nodes before running our tests
  c.before :suite do
    # Install puppet
    puppet_install

    # Install modules and dependencies
    puppet_module_install(:source => proj_root, :module_name => 'wordpress')
    shell('puppet module install puppetlabs-stdlib --version 2.3.1')
    shell('puppet module install puppetlabs-concat --version 1.0.0')
    shell('puppet module install puppetlabs-mysql  --version 2.1.0')
    shell('puppet module install puppetlabs-apache --version 0.10.0')
  end
end
